import { forwardRef } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import Poly from '@s-ui/react-primitive-polymorphic-element';
import { BASE_CLASS_ITEM_HEADER_ICON } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AccordionItemHeaderIconDefault = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var _cx;
  var _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'i' : _ref$as,
    children = _ref.children,
    isExpanded = _ref.isExpanded,
    animationDuration = _ref.animationDuration;
  return /*#__PURE__*/_jsx(Poly, {
    as: as,
    ref: forwardedRef,
    className: cx(BASE_CLASS_ITEM_HEADER_ICON + "Default", (_cx = {}, _cx[BASE_CLASS_ITEM_HEADER_ICON + "Default--expanded"] = isExpanded, _cx)),
    style: {
      transition: "transform " + animationDuration + "ms " + (isExpanded ? 'ease-out' : 'ease-in')
    },
    children: children
  });
});
AccordionItemHeaderIconDefault.displayName = 'AccordionItemHeaderIconDefault';
AccordionItemHeaderIconDefault.propTypes = {
  /** The elementType of the wrapper **/
  as: PropTypes.elementType,
  /** The animation duration in ms **/
  animationDuration: PropTypes.number,
  /** child element **/
  children: PropTypes.node,
  /** controlled expanded accordion item behavior */
  isExpanded: PropTypes.bool
};
export default AccordionItemHeaderIconDefault;