import { useContext, useLayoutEffect } from 'react';
import AccordionContext from './AccordionContext.js';
export var useAccordionContext = function useAccordionContext(_ref) {
  var isExpanded = _ref.isExpanded,
    value = _ref.value;
  var context = useContext(AccordionContext);
  var setValues = context.setValues,
    values = context.values;
  useLayoutEffect(function () {
    if (isExpanded === true && !values.includes(value)) {
      setValues([].concat(values, [value]));
    } else if (isExpanded === false && values.includes(value)) {
      setValues(values.filter(function (val) {
        return val !== value;
      }));
    }
  }, [isExpanded, value, setValues, values]);
  return context;
};
export default useAccordionContext;