var _behaviors;
export var BASE_CLASS = 'sui-MoleculeAccordion';
export var BASE_CLASS_ELEMENT = 'sui-MoleculeAccordionElement';
export var BASE_CLASS_ITEM = BASE_CLASS + "Item";
export var BASE_CLASS_ITEM_HEADER = BASE_CLASS_ITEM + "Header";
export var BASE_CLASS_ITEM_HEADER_ICON = BASE_CLASS_ITEM_HEADER + "Icon";
export var BASE_CLASS_ITEM_PANEL = BASE_CLASS_ITEM + "Panel";
export var BASE_CLASS_ITEM_PANEL_CONTENT = BASE_CLASS_ITEM + "PanelContent";
export var BEHAVIOR = {
  SINGLE: 'single',
  MULTIPLE: 'multiple'
};
var behaviors = (_behaviors = {}, _behaviors[BEHAVIOR.SINGLE] = function (_ref) {
  var value = _ref.value,
    values = _ref.values;
  var hasValue = values.includes(value);
  return {
    value: value,
    isExpanded: !hasValue,
    values: hasValue ? [] : [value]
  };
}, _behaviors[BEHAVIOR.MULTIPLE] = function (_ref2) {
  var value = _ref2.value,
    values = _ref2.values;
  var hasValue = values.includes(value);
  return {
    value: value,
    isExpanded: !hasValue,
    values: hasValue ? values.filter(function (val) {
      return val !== value;
    }) : [].concat(values, [value])
  };
}, _behaviors[undefined] = function (_ref3) {
  var value = _ref3.value,
    isExpanded = _ref3.isExpanded,
    values = _ref3.values;
  return {
    value: value,
    isExpanded: isExpanded,
    values: values
  };
}, _behaviors);
export var getBehavior = function getBehavior(behaviorName) {
  return behaviors[behaviorName];
};
export var getIcon = function getIcon(_ref4, _ref5) {
  var iconProp = _ref4.iconProp,
    isExpanded = _ref4.isExpanded;
  var iconExpanded = _ref5.iconExpanded,
    iconCollapsed = _ref5.iconCollapsed;
  if (iconProp) {
    return iconProp;
  }
  return isExpanded ? iconExpanded : iconCollapsed;
};
export var SPACING = {
  XS: 'xs',
  S: 's',
  M: 'm',
  L: 'l',
  XL: 'xl'
};
export var ANIMATION_DURATION = {
  NONE: 0,
  FAST: 100,
  NORMAL: 300,
  SLOW: 500
};
export var HEADER_ICON_POSITION = {
  LEFT: 'left',
  RIGHT: 'right'
};